PAPI Archivos

The PAPI authentication and authorization framework

PAPI@LISTSERV.REDIRIS.ES

Opciones: Vista Forum

Use Monospaced Font
Por defecto enseñar Text Part
Mostrar todas las cabeceras de correo

Mensaje: [<< Primero] [< Prev] [Siguiente >] [Último >>]
Tema: [<< Primero] [< Prev] [Siguiente >] [Último >>]
Autor: [<< Primero] [< Prev] [Siguiente >] [Último >>]

Print Responder
Subject:
Emisor:
"Roberto S. G." <[log in para visualizar]>
Reply To:
The PAPI authentication and authorization framework <[log in para visualizar]>
Fecha:
Tue, 20 Jul 2010 11:50:09 +0200
Content-Type:
text/plain
Parts/Attachments:
text/plain (95 lines)
Hola,

Bueno, creo que finalmente estoy llegando al lmite del error de PAPI
1.4.1 respecto a aserciones muy largas...

En fin, que por ahorrarme trabajo, y como el "no" ya lo tengo de
partida... digo yo que no sera posible aplicar un parche a PAPI 1.4.1
para solucionar este problema?

Saludos

El 19/02/2010 13:15, Daniel Garca escribi:
> 
>     Hola,
> 
> El 18/02/2010, a las 0:02, Roberto S. G. escribi:
> 
>> Hola,
>>
>> Nada, que me he encontrado con la sorpresa de que la funcin
>>     PAPI::Crypt::encrypt_priv_RSA
>> que se usa en AuthServer, me da cores cuando la asercin es demasiado
>> larga... estoy probando con una de 439 caracteres... como se pueden
>> meter varios "ePE" de SIR, pues esto puede crecer mucho.
> Si, este problema se debe al tamao de las claves usadas para cifrar la
> asercin.
>>
>> El caso es que no s que hacer... porque en mi caso al menos (Solaris 9)
>> la instalacin de PAPI ha generado una librera ".so" para PAPI::Crypt,
>> con lo que no hay cdigo que pueda modificar...
>>
>> Alguien ha notado algo similar?
> Nosotros detectamos este problema har un par de aos, cuando las
> aserciones empezaron ha hacerse ms grande, y decidimos solucionarlo en
> PAPI-1.5.
> Como tu dices que el problema lo tienes en el AS, te puedes descargar el
> AS de PAPI-1.5 y instalarlo, ya que este trocea la asercin antes de
> cifrarla, para que no sea mayor que el tamao de la clave.
> El nico inconveniente es que el otro extremo, es decir, GPoA o el PoA
> debe ser tambin PAPI-1.5 para que sepa recomponer la asercin y
> decifrarla.
> En caso de que uses el AS para el SIR, no tendrs nign tipo de problemas.
> 
> En definitiva puedes descargar el PAPI-1.5 desde la forja:
> http://forja.rediris.es/frs/?group_id=42
> 
> Si tienes algn problema para descargarlo o para usarlo, no dudes en
> preguntar de nuevo :D
> 
>     Saludos!
> 
>>
>> Saludos
>>
>> PD:
>> por cierto, mi Firefox me dice esto al tratar de descargar de la web de
>> rediris (http://papi.rediris.es/software.html#as) este fichero:
>> ftp://ftp.rediris.es/rediris/papi/perl/PAPI-AS.1.4.1.tar.gz
>>
>> 550 Can't change directory to /rediris/papi/perl/PAPI-AS.1.4.1.tar.gz:
>> Bad exchange descriptor
>>
> 
> -- 
> Daniel Garca Franco        E-mail: [log in para visualizar]
>                 Jabber: [log in para visualizar]
> Red.es/RedIRIS            Tef:+34 955 05 66 23
> Edificio CICA
> Avenida Reina Mercedes, s/n
> 41012 Sevilla
> SPAIN
> 
> - Red Acadmica y Cientfica espaola (http://www.rediris.es) -
> - Spanish NREN (http://www.rediris.es) -
> 

-- 
Roberto S. Galende
Servicios de Informtica y Comunicaciones
Vicerrectorado de Campus
Universidad de Len
Len, Espaa

Antes de imprimir este mensaje, asegrese de que es necesario.

AVISO DE CONFIDENCIALIDAD
Este mensaje puede contener informacin confidencial. Si usted no es el
destinatario, le rogamos lo comunique al remitente y proceda a borrarlo,
ya que su uso no autorizado est prohibido legalmente.

CONFIDENTIALITY NOTICE
This message may contain confidential information. If you are not the
intended recipient, please notify the sender and delete this message,
since any unauthorized use is strictly prohibited by law.

ATOM RSS1 RSS2